Glowtracker / Common plugin testing



  • (@gdude2002 gave me the post from the old forum. Thanks a lot :slight_smile:)

    Hey there. I’ve checked the compatibility of the most common plugins used on a spigot/bukkit server.
    Notice: It’s possible that a compatible plugin is not compatible because those plugins can use "Reflections"
    to get access to NMS and CraftBukkit classes which are not supported by Glowstone.
    I will release as soon as possible a compatibility tracker.

    Should work:
    :white_check_mark: AsyncWorldEdit , :white_check_mark: AsyncWorldEditInjector , :white_check_mark: ChatControl , :white_check_mark: CratesPlus , :white_check_mark: CustomTab
    :white_check_mark: DiceFurniture , :white_check_mark: Faction , :white_check_mark: GriefPrevention , :white_check_mark: CreativeGates , :white_check_mark: Multiverse-Core
    :white_check_mark: UtilsByBooksaw , :white_check_mark: Vampir

    Confirmed:
    :ballot_box_with_check: Essentials , :ballot_box_with_check: EssentialsAntiBuild , :ballot_box_with_check: EssentialsChat , :ballot_box_with_check: EssentialsGroupManager
    :ballot_box_with_check: EssentialsProtect , :ballot_box_with_check: EssentialsSpawn

    Not working:
    :negative_squared_cross_mark: askyblock , :negative_squared_cross_mark: BedwarsRel , :negative_squared_cross_mark: Carbon , :negative_squared_cross_mark: HolographicDisplaysPatch , :negative_squared_cross_mark: LibsHungergames
    :negative_squared_cross_mark: LibsMcpvp , :negative_squared_cross_mark: SkyWarsReloaded , :negative_squared_cross_mark: UltraCosmetics 2.1.5 , :negative_squared_cross_mark: LibsDisguises , :negative_squared_cross_mark: MassiveCore
    :negative_squared_cross_mark: MassiveHat , :negative_squared_cross_mark: MassiveTickets , :negative_squared_cross_mark: MassiveBooks , :negative_squared_cross_mark: NickNamer , :negative_squared_cross_mark: PacketListenerAPI
    :negative_squared_cross_mark: PlotSquared , :negative_squared_cross_mark: Residence , :negative_squared_cross_mark: SkyWar , :negative_squared_cross_mark: AuthMe (Reloaded) , :negative_squared_cross_mark: uSkyBlock , :negative_squared_cross_mark: Quests ,
    :negative_squared_cross_mark: NametagEdit , :negative_squared_cross_mark: Jobs , :negative_squared_cross_mark: BukkitGames , :negative_squared_cross_mark: AnimatedFrames , :negative_squared_cross_mark: AdvancedTabList , :negative_squared_cross_mark: Auctions ,
    :negative_squared_cross_mark: SkyWarsReloaded , :negative_squared_cross_mark: ViaVersion , :negative_squared_cross_mark: SuperTrails , :negative_squared_cross_mark: TimeIsMoney , :negative_squared_cross_mark: KitPvP-3.4.2 ,
    :negative_squared_cross_mark: TerrainControl , :negative_squared_cross_mark: TitleAPI , :negative_squared_cross_mark: KingKits , :negative_squared_cross_mark: PvPManager , :negative_squared_cross_mark: iTag , :negative_squared_cross_mark: TrailGUI , :negative_squared_cross_mark: SkyWars

    Compatible / Not compatible:
    :warning: PhoenixAntiCheat [ Obfuscated ]

    ( To be continued )


    Glowtracker

    :record_button: Currently in Alpha

    So, the past three days I’ve been working on a “Add-On” or tool to check the compatibility
    of some plugins you want to use on your Glowstone++ – Server. What Glowtracker basically does is
    checking for CraftBukkit and NMS calls in class imports.

    0_1465745271609_Unbenannt.PNG

    How Glowtracker looks like


    Download

    Download has been taken down due rewrite.


    Repository

    Not viewable right now due rewrite.


  • Admin

    I find it a little surprising that you tested AsyncWorldEdit, and not Worldedit itself. :P


  • Admin

    @gdude2002 Well WorldEdit is less popular than AsyncWorldEdit on Spigot. Totally makes sense :)



  • @mastercoms Actually I just forgot to check WorldEdit :joy:


  • Admin

    @Shad0wCore I’d be surprised if it didn’t work honestly, given how goddamn robust it is, but still worth a test.


  • Admin

    @gdude2002 I am pretty sure it works. There are just some additional features that it can do if nms is available. It is one of the few plugins that uses nms correctly and can safely fallback to get only using Bukkit.

    This also means that the compatibility checker may get the compatibility status wrong, since there are usages of nms in WorldEdit, but it can work without them.


  • Admin

    @Shad0wCore Well AsyncWorldEdit still comes before WorldEdit on Spigot: https://www.spigotmc.org/resources/?order=download_count



  • @gdude2002 said in Compatibility of the most common plugins:

    I find it a little surprising that you tested AsyncWorldEdit, and not Worldedit itself. :P

    I guess you didn’t read “To be continued”? :joy:
    Sorry, this had to be done. :P



  • Updated thread


  • Admin

    This topic has been moved to the new Resources category.


    Has there been any progress on this since last year?


Log in to reply
 

Looks like your connection to Glowstone was lost, please wait while we try to reconnect.